Index: pykota/trunk/bin/edpykota
===================================================================
--- pykota/trunk/bin/edpykota (revision 2324)
+++ pykota/trunk/bin/edpykota (revision 2344)
@@ -33,5 +33,5 @@
 from pykota.storage import PyKotaStorageError
 
-__doc__ = N_("""edpykota v%s (c) %s %s
+__doc__ = N_("""edpykota v%(__version__)s (c) %(__years__)s %(__author__)s
 
 A Print Quota editor for PyKota.
@@ -225,20 +225,5 @@
   cost of each print job will be multiplied by zero before charging
   his account.
-
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-Please e-mail bugs to: %s""") 
+""") 
         
 class EdPyKota(PyKotaTool) :        
Index: pykota/trunk/bin/pykotme
===================================================================
--- pykota/trunk/bin/pykotme (revision 2303)
+++ pykota/trunk/bin/pykotme (revision 2344)
@@ -32,5 +32,5 @@
 from pykota.pdlanalyzer import PDLAnalyzer, PDLAnalyzerError
 
-__doc__ = N_("""pykotme v%s (c) %s %s
+__doc__ = N_("""pykotme v%(__version__)s (c) %(__years__)s %(__author__)s
 
 Gives print quotes to users.
@@ -72,20 +72,5 @@
   input. The quote will list the job size, and the price the job
   would cost on each printer.
-
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-Please e-mail bugs to: %s""")
+""")
         
         
Index: pykota/trunk/bin/pkbcodes
===================================================================
--- pykota/trunk/bin/pkbcodes (revision 2342)
+++ pykota/trunk/bin/pkbcodes (revision 2344)
@@ -31,5 +31,5 @@
 from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
 
-__doc__ = N_("""pkbcodes v%s (c) %s %s
+__doc__ = N_("""pkbcodes v%(__version__)s (c) %(__years__)s %(__author__)s
 
 A billing codes Manager for PyKota.
@@ -79,21 +79,6 @@
   $ pkbcodes --list "my*"
   
-  This will list all billing codes which name begins with "my". 
-  
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-Please e-mail bugs to: %s""")
+  This will list all billing codes which name begins with 'my'.
+""")
         
 class PKBcodes(PyKotaTool) :        
Index: pykota/trunk/bin/pkhint
===================================================================
--- pykota/trunk/bin/pkhint (revision 2303)
+++ pykota/trunk/bin/pkhint (revision 2344)
@@ -36,5 +36,5 @@
     hasSNMP = 1
 
-__doc__ = N_("""pkhint v%s (c) %s %s
+__doc__ = N_("""pkhint v%(__version__)s (c) %(__years__)s %(__author__)s
 
 A tool to give hints on what accounting method is best for each printer.
@@ -59,20 +59,5 @@
   If you don't pass any argument on the command line, all
   printers will be analyzed.
-  
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-Please e-mail bugs to: %s""")
+""")
         
 SNMPTESTS = [ \
Index: pykota/trunk/bin/repykota
===================================================================
--- pykota/trunk/bin/repykota (revision 2303)
+++ pykota/trunk/bin/repykota (revision 2344)
@@ -37,5 +37,5 @@
 from pykota import reporter
 
-__doc__ = N_("""repykota v%s (c) %s %s
+__doc__ = N_("""repykota v%(__version__)s (c) %(__years__)s %(__author__)s
 
 Generates print quota reports.
@@ -81,20 +81,5 @@
   arguments representing users or groups names are ignored, and only the
   current user/group is reported.
-
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-Please e-mail bugs to: %s""")
+""")
         
 class RePyKota(PyKotaTool) :        
Index: pykota/trunk/bin/warnpykota
===================================================================
--- pykota/trunk/bin/warnpykota (revision 2303)
+++ pykota/trunk/bin/warnpykota (revision 2344)
@@ -33,5 +33,5 @@
 from pykota.storage import PyKotaStorageError
 
-__doc__ = N_("""warnpykota v%s (c) %s %s
+__doc__ = N_("""warnpykota v%(__version__)s (c) %(__years__)s %(__author__)s
 
 Sends mail to users over print quota.
@@ -79,20 +79,5 @@
   arguments representing users or groups names are ignored, and only the
   current user/group is reported.
-
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-Please e-mail bugs to: %s""")
+""")
         
 class WarnPyKota(PyKotaTool) :        
Index: pykota/trunk/bin/pkbanner
===================================================================
--- pykota/trunk/bin/pkbanner (revision 2303)
+++ pykota/trunk/bin/pkbanner (revision 2344)
@@ -49,5 +49,5 @@
 from pykota.tool import Tool, PyKotaToolError, crashed, N_
 
-__doc__ = N_("""pkbanner v%s (c) %s %s
+__doc__ = N_("""pkbanner v%(__version__)s (c) %(__years__)s %(__author__)s
 
 Generates banners.
@@ -93,20 +93,5 @@
   You'll find more examples in the sample configuration file included    
   in PyKota.
-      
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-Please e-mail bugs to: %s""")
+""")
         
 class PyKotaBanner(Tool) :        
Index: pykota/trunk/bin/autopykota
===================================================================
--- pykota/trunk/bin/autopykota (revision 2303)
+++ pykota/trunk/bin/autopykota (revision 2344)
@@ -30,5 +30,5 @@
 from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
 
-__doc__ = N_("""autopykota v%s (c) %s %s
+__doc__ = N_("""autopykota v%(__version__)s (c) %(__years__)s %(__author__)s
 
 A tool to automate user account creation and initial balance setting.
@@ -51,20 +51,5 @@
                        If the user already exists, actual balance is left
                        unmodified. If unset, the default value is 0.
-                       
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-Please e-mail bugs to: %s""")
+""")
 
 class AutoPyKota(PyKotaTool) :
Index: pykota/trunk/bin/pkprinters
===================================================================
--- pykota/trunk/bin/pkprinters (revision 2336)
+++ pykota/trunk/bin/pkprinters (revision 2344)
@@ -31,5 +31,5 @@
 from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
 
-__doc__ = N_("""pkprinters v%s (c) %s %s
+__doc__ = N_("""pkprinters v%(__version__)s (c) %(__years__)s %(__author__)s
 
 A Printers Manager for PyKota.
@@ -109,20 +109,5 @@
   
   This will remove the hp2200 printer from the LexMark printer group.
-  
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-Please e-mail bugs to: %s""")
+""")
         
 class PKPrinters(PyKotaTool) :        
Index: pykota/trunk/bin/pykosd
===================================================================
--- pykota/trunk/bin/pykosd (revision 2303)
+++ pykota/trunk/bin/pykosd (revision 2344)
@@ -38,5 +38,5 @@
 from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
 
-__doc__ = N_("""pykosd v%s (c) %s %s
+__doc__ = N_("""pykosd v%(__version__)s (c) %(__years__)s %(__author__)s
 
 An OSD quota monitor for PyKota.
@@ -75,20 +75,5 @@
   and will last for 3 seconds (the default) each time. After five
   iterations, the program will exit.
-  
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-Please e-mail bugs to: %s""")
+""")
 
 
Index: pykota/trunk/bin/pkmail
===================================================================
--- pykota/trunk/bin/pkmail (revision 2303)
+++ pykota/trunk/bin/pkmail (revision 2344)
@@ -34,5 +34,5 @@
 from pykota.pdlanalyzer import PDLAnalyzer, PDLAnalyzerError
 
-__doc__ = N_("""pkmail v%s (c) %s %s
+__doc__ = N_("""pkmail v%(__version__)s (c) %(__years__)s %(__author__)s
 
 Email gateway for PyKota.
@@ -73,20 +73,5 @@
   
   Use at your own risk !
-  
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-Please e-mail bugs to: %s""")
+""")
         
         
Index: pykota/trunk/bin/dumpykota
===================================================================
--- pykota/trunk/bin/dumpykota (revision 2342)
+++ pykota/trunk/bin/dumpykota (revision 2344)
@@ -32,5 +32,5 @@
 from pykota.dumper import DumPyKota
 
-__doc__ = N_("""dumpykota v%s (c) %s %s
+__doc__ = N_("""dumpykota v%(__version__)s (c) %(__years__)s %(__author__)s
 
 Dumps PyKota database's content.
@@ -122,20 +122,5 @@
   Dumps all jobs printed between March 1st 2005 at midnight and
   July 30th 2005 at 23 hours 46 minutes and 15 secondes included.
-  
-This program is free software; you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-Please e-mail bugs to: %s""")
+""")
         
 if __name__ == "__main__" : 
